Bug 205784 - net-p2p/sonarr: Add curl as an optional dependency
Summary: net-p2p/sonarr: Add curl as an optional dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-01-01 16:06 UTC by joshruehlig
Modified: 2016-02-24 13:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-01-01 16:06:21 UTC
Sonarr needs libcurl.so.4 to use certain indexers (for example RARBG over SSL). I think this is because of some SSL bug/incompatibility with mono/sonarr but I haven't verified this myself yet. I'll test this out in about a week when I have a chance to dive in.

Links that discuss this..
https://forums.freenas.org/index.php?threads/rarbg-not-working-as-indexer-for-sonarr.36843/
https://forums.sonarr.tv/t/setting-up-rarbg-as-an-indexer/6386

The fix should be as easy as adding the following, but I'll provide a patch once I verify the change fixes things. But, feel free to try this without me!
OPTIONS_DEFINE= CURL
CURL_LIB_DEPENDS= libcurl.so:${PORTSDIR}/ftp/curl
Comment 1 Mark Felder freebsd_committer 2016-01-04 20:23:18 UTC
I can't see a good reason to make this optional. If it needs it for fallback sometimes, we should just provide libcurl all the time.
Comment 2 commit-hook freebsd_committer 2016-01-04 20:29:05 UTC
A commit references this bug:

Author: feld
Date: Mon Jan  4 20:28:25 UTC 2016
New revision: 405265
URL: https://svnweb.freebsd.org/changeset/ports/405265

Log:
  net-p2p/sonarr: Add curl as a dependency

  libcurl is needed for fallback when mono has issues with HTTPS

  PR:		205784

Changes:
  head/net-p2p/sonarr/Makefile
Comment 3 joshruehlig 2016-01-04 20:31:01 UTC
works for me, I'll test this out when I get a chance
Comment 4 commit-hook freebsd_committer 2016-01-04 20:43:07 UTC
A commit references this bug:

Author: feld
Date: Mon Jan  4 20:42:47 UTC 2016
New revision: 405266
URL: https://svnweb.freebsd.org/changeset/ports/405266

Log:
  MFH: r405265

  net-p2p/sonarr: Add curl as a dependency

  libcurl is needed for fallback when mono has issues with HTTPS

  PR:		205784
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/net-p2p/sonarr/Makefile